Bug 137066 - satellite-sync does not sync rhnServerServerGroupArch
satellite-sync does not sync rhnServerServerGroupArch
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
370
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Max Spevack
:
Depends On:
Blocks: 123188 137892 137893
  Show dependency treegraph
 
Reported: 2004-10-25 13:10 EDT by Peter Jones
Modified: 2007-07-31 11:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 13:20:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2004-10-25 13:10:29 EDT
Description of problem:

satellite-sync does not sync rhnServerServerGroupArch.  This means
(currently) that satellites in the field or which have been upgraded
cannot profile EM64T machines.

It should sync it.
Comment 1 Mihai Ibanescu 2004-11-03 11:37:05 EST
Done.

Test case:

grab a satellite 3.6 with embedded oracle
sqlplus rhnsat/rhnsat@rhnsat
SQL> select count(*) from rhnServerServerGroupArchCompat;

  COUNT(*)
----------
        66

SQL> delete from rhnServerServerGroupArchCompat;

66 rows deleted.

SQL> commit;

Commit complete.


In another window run:
satellite-sync --step arches

After it completed, in the sqlplus window run:

SQL> select count(*) from rhnServerServerGroupArchCompat;

  COUNT(*)
----------
        64


It is ok for the numbers to be off, the over-the-wire stuff will not
export the Solaris mappings that we have in prod and in initial installs.
Comment 2 Max Spevack 2004-11-09 11:05:04 EST
like a charm!
Comment 3 Todd Warner 2005-03-22 13:20:45 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.